import { Modal, ModalService } from '@zeedhi/common';

export class ModalLoading {
  private PersistentModal!: Modal;

  public async createPersistentModal() {
    this.PersistentModal = await ModalService.createFromJson('/modal/modalLoading', true);
  }

  public destroyPersistentModal() {
    this.PersistentModal.destroy();
  }

  public openPersistentModal() {
    this.createPersistentModal().then(() => {
      this.PersistentModal.show();
    });
  }

  public closePersistentModal() {
    new Promise(() => {
      this.PersistentModal.hide();
    }).then(() => {
      this.destroyPersistentModal();
    });
  }
}
